Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToolItemSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ToolItem. More...

`#include <xfc/gtk/toolitemsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToolItemSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual bool on_create_menu_proxy ()
    Called when the toolbar is displaying an overflow menu.
- virtual void on_toolbar_reconfigured ()
    Called when some property of the toolbar that the item is a child of changes.
- virtual bool on_set_tooltip (Tooltips &tooltips, const String &tip_text, const String &tip_private)
    Called when the toolitem's tooltip changes.

## Protected Member Functions

Constructors

- ToolItemSignals (ToolItem *tool_item)
    Construct a new ToolItemSignals object.
- virtual ~ToolItemSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ToolItem.

## Constructor & Destructor Documentation

Xfc::Gtk::ToolItemSignals::ToolItemSignals | ( | ToolItem * | tool_item | ) | `[protected]`

Construct a new ToolItemSignals object.

Parameters:

  | tool_item | A ToolItem object inheriting the ToolItemSignals implementation.

## Member Function Documentation

virtual bool Xfc::Gtk::ToolItemSignals::on_create_menu_proxy | ( |  | ) | `[virtual]`

Called when the toolbar is displaying an overflow menu.

Returns:
  true if the signal was handled, false if not.

In response the tool item should call Gtk::ToolItem::set_proxy_menu_item() with either with a null pointer and return true to indicate that the item should not appear in the overflow menu, or with a new menu item and return true, or return false to indicate that the signal was not handled by the item. This means that the item will not appear in the overflow menu unless a later handler installs a menu item.

virtual bool Xfc::Gtk::ToolItemSignals::on_set_tooltip | ( | Tooltips & | tooltips,
|  | const String & | tip_text,
|  | const String & | tip_private
| ) | `[virtual]`

Called when the toolitem's tooltip changes.

Parameters:

  | tooltips | The Gtk::Tooltips.
  | tip_text | The tooltip text.
  | tip_private | The tooltip private text.

Returns:
  true if the signal was handled, false if not.

Application developers can use Gtk::ToolItem::set_tooltip() to set the item's tooltip.

virtual void Xfc::Gtk::ToolItemSignals::on_toolbar_reconfigured | ( |  | ) | `[virtual]`

| Called when some property of the toolbar that the item is a child of changes. For custom subclasses of Gtk::ToolItem, the default handler of this signal uses the functions Gtk::Toolbar::get_orientation(), Gtk::Toolbar::get_style(), Gtk::Toolbar::get_icon_size() and Gtk::Toolbar::get_relief_style() to find out what the toolbar should look like and change themselves accordingly.

The documentation for this class was generated from the following file:

- toolitemsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3